<?php
	include('templates/_header.php');

	$filenames = ['input1.txt', 'input2.txt', 'input3.txt', 'input4.txt', 'input5.txt'];
	// Sélectionner un fichier de test
	$filename = $filenames[1];

	// Créer un tableau a partir des données du fichier texte
	$handle = @fopen($filename, "r");
	$input = [];
	if ($handle) {
	    while (($buffer = fgets($handle, 4096)) !== false) {
					// Une ligne par case
	        $input[] = trim($buffer);
	    }
	    if (!feof($handle)) {
	        echo "Erreur: fgets() a échoué\n";
	    }
	    fclose($handle);
	}

	var_dump($input);

	$nombreDeVariablesDeMerdeAuDebut = 1;

	$nbCartons 	= $input[0];
	// var_dump($nbCartons);
	// $VARIABLE2 	= $input[1];
	// var_dump($VARIABLE2);

	// https://www.php.net/manual/fr/function.array-slice.php
	$toutesLesLignes	= array_slice($input, $nombreDeVariablesDeMerdeAuDebut);

	// Transformer le tableau qui contient toutes les lignes (chaque ligne au format string "1 hey hoy")
	// En tableau associatif ( [1, 'hey', 'hoy'] )

	$toutesLesLignesTab = [];
	for($i = 0; $i < count($toutesLesLignes) ; $i++){
		// var_dump($toutesLesLignes[$i]);

		// https://www.php.net/manual/fr/function.explode.php
		// $sousFormeDUNSeulTableau = explode(" ", $toutesLesLignes[$i]);
		// var_dump($sousFormeDUNSeulTableau);
		$toutesLesLignesTab[] = $toutesLesLignes[$i];
	}
	// var_dump($toutesLesLignesTab);



	// Exo
	$nbAR = 0;
	$poidsDeCeChargement = 0;
	$i = 0;

	// Tant que le chargement en cours ne dépasse pas 100kg
	// et qu'il reste des cartons
	while($poidsDeCeChargement <= 100 && array_key_exists($i, $toutesLesLignesTab)){
		// var_dump($toutesLesLignesTab[$i]);
		// var_dump($poidsDeCeChargement);

		// Si le poids du carton qu'on rajoute ne dépasse pas
		if( ($poidsDeCeChargement + $toutesLesLignesTab[$i]) <= 100){
			// On le rajoute
			$poidsDeCeChargement += $toutesLesLignesTab[$i];
		}
		// Sinon
		else {
			// On fait un aller retour
			$nbAR++;
			// Et le carton part avec le prochain chargement
			$poidsDeCeChargement = $toutesLesLignesTab[$i];
		}

		$i++;
		// var_dump($nbAR);
		// echo '<hr />';
	}

	// Quand il n'y a plus de carton supplémentaires
	// Si il reste des cartons a envoyer
	if($poidsDeCeChargement > 0){
		// On les envoie
		$nbAR++;
	}

	echo $nbAR;























	include('templates/_footer.php');

?>
