<?php
	include('templates/_header.php');

	$filenames = ['input1.txt', 'input2.txt', 'input3.txt', 'input4.txt', 'input5.txt'];
	// Sélectionner un fichier de test
	$filename = $filenames[0];

	// Créer un tableau a partir des données du fichier texte
	$handle = @fopen($filename, "r");
	$input = [];
	if ($handle) {
	    while (($buffer = fgets($handle, 4096)) !== false) {
					// Une ligne par case
	        $input[] = trim($buffer);
	    }
	    if (!feof($handle)) {
	        echo "Erreur: fgets() a échoué\n";
	    }
	    fclose($handle);
	}

	// var_dump($input);















		$nombreDeVariablesDeMerdeAuDebut = 1;

		$tailleGrille 	= $input[0];
		// var_dump($tailleGrille);
		// $VARIABLE2 	= $input[1];
		// var_dump($VARIABLE2);

		// https://www.php.net/manual/fr/function.array-slice.php
		$toutesLesLignes	= array_slice($input, $nombreDeVariablesDeMerdeAuDebut);

		// Transformer le tableau qui contient toutes les lignes (chaque ligne au format string "1 hey hoy")
		// En tableau associatif ( [1, 'hey', 'hoy'] )

		$toutesLesLignesTab = [];
		for($i = 0; $i < count($toutesLesLignes) ; $i++) {
			// var_dump($toutesLesLignes[$i]);

			$toutesLesLignesTab[] = str_split($toutesLesLignes[$i]);
		}
		// var_dump($toutesLesLignesTab);



		// Exo
		// Algo / Parcours 2 fois :
		//		Parcours 1 / On ramasse toutes les pièces
		// 			Pour chaque ligne
		//				Si la case en cours est une pièce
		//					On la ramasse (butin +1)

		//				Si on est sur la derniere case de la ligne
		//					On avance a gauche du nombre de case de la grille
		//					Si on est pas sur la dernière ligne
		//						On descend de 1
		//				Sinon
		//					On avance d'une case vers la droite



		// 		Parcours 2 / On ramasse tous les multiplicateurs
		//			Pour chaque ligne
		//				Si la case en cours est un multiplicateur
		//					On le ramasse (butin *= butin)

		//				Si on est sur la derniere case de la ligne
		//					On avance a gauche du nombre de case de la grille
		//					Si on est pas sur la première ligne
		//						On monte de 1
		//				Sinon
		//					On avance d'une case vers la droite






		// Algo / Parcours 2 fois :
		//		Parcours 1 / On ramasse toutes les pièces

		// Pour chaque ligne
		for($i = 0; $i < count($toutesLesLignesTab) ; $i++) {
			$ligne = $toutesLesLignesTab[$i];

			// Pour chaque colonne
			for($j = 0; $j < count($ligne) ; $j++) {
				$case = $ligne[$j];

				// Si la case en cours est une pièce
				if($case == "o"){
					// On la ramasse (butin +1)
					// echo '<i class="far fa-hand-rock"></i>';
					echo "x";
				}

				// var_dump($j);
				// var_dump($tailleGrille);

				// Si on est sur la derniere case de la ligne
				if($j == ($tailleGrille -1)){
					// On avance a gauche du nombre de case de la grille
					for($k = 0; $k < $tailleGrille -1 ; $k++) {
						// echo '<i class="fas fa-arrow-left"></i>';
						echo "<";
					}

					// var_dump($i);
					// var_dump($tailleGrille);

					// Si on est pas sur la dernière ligne
					if($i != $tailleGrille - 1){
						// On descend de 1
						// echo '<i class="fas fa-arrow-down"></i>';
						echo "v";
					}
				}
				// Sinon
				else {
					// On avance d'une case vers la droite
					// echo '<i class="fas fa-arrow-right"></i>';
					echo ">";
				}
			}
			// echo "<br />";
		}

		// echo "<hr />";
		// Parcours 2 / On ramasse tous les multiplicateurs

		// Pour chaque ligne
		for($i = count($toutesLesLignesTab) - 1 ; $i >= 0 ; $i--) {
			$ligne = $toutesLesLignesTab[$i];

			// Pour chaque colonne
			for($j = 0; $j < count($ligne) ; $j++) {
				$case = $ligne[$j];

				// Si la case en cours est un multiplicateur
				if($case == "*"){
					// On le ramasse (butin *= butin)
					// echo '<i class="far fa-hand-rock"></i>';
					echo "x";
				}

				// Si on est sur la derniere case de la ligne
				if($j == ($tailleGrille -1)){
					// On avance a gauche du nombre de case de la grille
					for($k = 0; $k < $tailleGrille -1 ; $k++) {
						// echo '<i class="fas fa-arrow-left"></i>';
						echo "<";
					}

					// Si on est pas sur la première ligne
					if($i > 0){
						// On monte de 1
						// echo '<i class="fas fa-arrow-up"></i>';
						echo "^";
					}
				}
				// Sinon
				else {
					// On avance d'une case vers la droite
					// echo '<i class="fas fa-arrow-right"></i>';
					echo ">";
				}

			}
			// echo "<br />";
		}












	include('templates/_footer.php');

?>
