<?php
	include('templates/_header.php');

	$filenames = ['input1.txt', 'input2.txt', 'input3.txt', 'input4.txt', 'input5.txt'];
	// Sélectionner un fichier de test
	$filename = $filenames[4];

	// Créer un tableau a partir des données du fichier texte
	$handle = @fopen($filename, "r");
	$input = [];
	if ($handle) {
	    while (($buffer = fgets($handle, 4096)) !== false) {
					// Une ligne par case
	        $input[] = trim($buffer);
	    }
	    if (!feof($handle)) {
	        echo "Erreur: fgets() a échoué\n";
	    }
	    fclose($handle);
	}

	var_dump($input);


	///////////////////////////////// CC EN DESSOUS

	$nombreDeVariablesDeMerdeAuDebut = 1;

	$positionDepart 	= $input[0];
	// var_dump($positionDepart);
	// $VARIABLE2 	= $input[1];
	// var_dump($VARIABLE2);

	// https://www.php.net/manual/fr/function.array-slice.php
	$toutesLesLignes	= array_slice($input, $nombreDeVariablesDeMerdeAuDebut);

	// Transformer le tableau qui contient toutes les lignes (chaque ligne au format string "1 hey hoy")
	// En tableau associatif ( [1, 'hey', 'hoy'] )

	$toutesLesLignesTab = [];
	for($i = 0; $i < count($toutesLesLignes) ; $i++){
		// var_dump($toutesLesLignes[$i]);

		// https://www.php.net/manual/fr/function.explode.php
		$sousFormeDUNSeulTableau = explode(" ", $toutesLesLignes[$i]);
		// var_dump($sousFormeDUNSeulTableau);
		$toutesLesLignesTab[] = $sousFormeDUNSeulTableau;
	}
	// var_dump($toutesLesLignesTab);



	// Exo
	$diff = 0;

	for($i = 0; $i < count($toutesLesLignesTab) ; $i++){
		// echo $toutesLesLignesTab[$i][0];
		$diff += $toutesLesLignesTab[$i][0] - $toutesLesLignesTab[$i][1];
	}

	// var_dump($diff);
	$positionFinale = $positionDepart + $diff;

	// var_dump($positionFinale);

	if($positionFinale < 100){
		echo 1000;
	}
	else if ($positionFinale > 10000){
		echo "KO";
	}
	else {
		echo 100;
	}


















	include('templates/_footer.php');

?>
